# $Revision: 1.13 $, $Date: 2006/12/08 01:07:21 $
Summary:	Jakarta Commons Logging - interface for logging systems
Summary(pl):	Jakarta Commons Logging - interfejs do systemw logujcych
Name:		jakarta-commons-logging
Version:	1.0.4
Release:	2
License:	Apache
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/jakarta/commons/logging/source/commons-logging-%{version}-src.tar.gz
# Source0-md5:	db5dc75c89e794f794be92d10df6be1b
URL:		http://jakarta.apache.org/commons/logging/
BuildRequires:	ant
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
BuildRequires:	logging-log4j
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre >= 1.4
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.

%description -l pl
Pakiet commons-logging dostarcza prostego, zorientowanego na
komponenty interfejsu (org.apache.commons.logging.Log) wraz z
wrapperami do systemw logujcych. Uytkownik moe wybra w czasie
uruchamiania, ktrego systemu chce uywa. Ponadto dostarczona jest
niewielka liczba podstawowych implementacji, aby pozwoli uytkownikom
na uywanie pakietu samodzielnie.

%package javadoc
Summary:	Jakarta Commons Logging documentation
Summary(pl):	Dokumentacja do Jakarta Commons Logging
Group:		Development/Languages/Java
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-logging-doc

%description javadoc
Jakarta Commons Logging documentation.

%description javadoc -l pl
Dokumentacja do Jakarta Commons Logging.

%prep
%setup -q -n commons-logging-%{version}-src

%build
export CLASSPATH="`build-classpath log4j`"
export JAVA_HOME="%{java_home}"
%ant dist javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

install dist/commons-logging-api.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-%{version}-api.jar
install dist/commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-%{version}.jar
ln -s commons-logging-%{version}-api.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging-api.jar
ln -s commons-logging-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-logging.jar

cp -R dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc dist/*.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jakarta-commons-logging.spec,v $
Revision 1.13  2006/12/08 01:07:21  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.12  2006/05/25 13:04:10  jajcus
- s/jakarta-log4j/logging-log4j/
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- javadoc now in %{_javadocdir} in a javadoc subpackage
- put jars in $CLASSPATH instead of modifying build.properties or passing args to ant
- versioned jar filenames

Revision 1.11  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.10  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.9  2005/05/07 17:40:17  qboosh
- more specific URL

Revision 1.8  2005/01/06 15:51:38  deejay1
- updated to 1.0.4

Revision 1.7  2004/07/15 11:52:05  pluto
- use %%{_javadir}.

Revision 1.6  2003/07/02 12:00:31  pascalek
- updated to 1.0.3

Revision 1.5  2003/06/25 08:35:31  pascalek
- now javadoc know where log4j.jar is stored
- TODO: javadoc need avalon logkit.jar either :(

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/06 07:56:18  misiek
- initial pld release
